Open SCAP Library

Public Member Functions | Data Fields
xccdf_select Struct Reference
XCCDF

XCCDF select option usen in the profile. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
void | xccdf_select_free (struct xccdf_select *sel)
struct xccdf_select * | xccdf_select_clone (const struct xccdf_select *select)
struct xccdf_select * | xccdf_select_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
bool | xccdf_select_get_selected (const struct xccdf_select *select)
const char * | xccdf_select_get_item (const struct xccdf_select *select)
struct oscap_text_iterator * | xccdf_select_get_remarks (const struct xccdf_select *select)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_select_set_item (struct xccdf_select *obj, const char *newval)
bool | xccdf_select_set_selected (struct xccdf_select *obj, bool newval)
bool | xccdf_select_add_remark (struct xccdf_select *obj, struct oscap_text *item)

## Data Fields
char * | item
bool | selected
struct oscap_list * | remarks

## Detailed Description

XCCDF select option usen in the profile.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h